> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 515a5314-1ecc-4436-a1c8-f472629ef6a1
---

# Delete Property for Timeline Event Type

> Delete an existing property for a specified timeline event type.

> [accordion] Scope requirements


## OpenAPI

````yaml specs/legacy/v1/crm-timeline-v1.json DELETE /integrations/v1/{application-id}/timeline/event-types/{event-type-id}/properties/{property-id}
openapi: 3.0.0
info:
  title: CRM Timeline Events API v1
  version: 1.0.0
  description: Legacy CRM Timeline Events API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /integrations/v1/{application-id}/timeline/event-types/{event-type-id}/properties/{property-id}:
    delete:
      summary: Delete Property for Timeline Event Type
      description: Delete an existing property for a specified timeline event type.
      operationId: >-
        deleteintegrationsv1applicationidtimelineeventtypeseventtypeidpropertiespropertyid
      responses:
        '200':
          description: >-
            Successful response - Delete an existing property for a specified
            timeline event type
          content:
            application/json:
              schema:
                type: object

````